Get subscription
curl --request GET \
--url https://management.api.smartcar.com/v3/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://management.api.smartcar.com/v3/subscriptions/{subscriptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://management.api.smartcar.com/v3/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "subscription",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": {
"vehicle": {
"make": "TESLA",
"model": "Model 3",
"year": 2023,
"mode": "live",
"powertrainType": "BEV"
}
},
"meta": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"relationships": {
"webhook": {
"data": {
"type": "webhook",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"links": {
"related": "<string>"
}
},
"user": {
"data": {
"type": "webhook",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"links": {
"related": "<string>"
}
},
"vehicle": {
"data": {
"type": "webhook",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"links": {
"related": "<string>"
}
}
},
"links": {
"self": "<string>"
}
}
}{
"errors": [
{
"status": "400",
"type": "VALIDATION",
"code": "BAD_REQUEST",
"title": "Bad Request",
"detail": "The request could not be understood by the server due to malformed syntax.",
"links": {
"about": "https://smartcar.com/docs/errors/api-errors/v3/validation-errors"
}
}
]
}{
"errors": [
{
"status": "401",
"type": "AUTHENTICATION",
"code": "UNAUTHORIZED",
"title": "Unauthorized",
"detail": "The Authorization token is missing or invalid.",
"links": {
"about": "https://smartcar.com/docs/errors/api-errors/v3/authentication-errors#authentication"
}
}
]
}{
"errors": [
{
"status": "403",
"type": "AUTHENTICATION",
"code": "FORBIDDEN",
"title": "Forbidden",
"detail": "You do not have permission to access this resource.",
"links": {
"about": "https://smartcar.com/docs/errors/api-errors/v3/authentication-errors"
}
}
]
}{
"errors": [
{
"status": "404",
"type": "RESOURCE_NOT_FOUND",
"code": "NOT_FOUND",
"title": "Not Found",
"detail": "The requested resource could not be found.",
"links": {
"about": "https://smartcar.com/docs/errors/api-errors/v3/resource-not-found-errors"
}
}
]
}{
"errors": [
{
"status": "500",
"type": "SERVER",
"code": "INTERNAL",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server.",
"links": {
"about": "https://smartcar.com/docs/errors/api-errors/v3/server-errors"
}
}
]
}Webhooks
Get subscription
Retrieve details of a specific webhook subscription.
GET
/
subscriptions
/
{subscriptionId}
Get subscription
Authorizations
The Authorization header must be provided with a valid bearer token.
Example: Authorization: Bearer {token}
Path Parameters
The unique identifier for the subscription.
Response
Subscription
Show child attributes
Show child attributes
Was this page helpful?
⌘I

